Redmine - Defect #10779

redmine cannot deal with 4-byte utf-8 characters
2012-04-26 14:01 - flap flap

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Database Estimated time: 0.00 hour
Target version:

Resolution: Duplicate Affected version: 1.4.0
Description

When entering an issue description or a note, all text after a 4-byte utf-8 character seems to get truncated.

To reproduce just create a new issue

in the description enter some text and a 4-byte utf-8 such a 00 and then some more text.

Then save the issue

All text after the 4-byte utf-8 will be gone from the ticket...

Entering a character using html-entities does work (eg &#x1f433;). Copy-pasting a 4-byte utf-8 char fails. 3-byte utf-8 chars do work.

version/env: whatever demo.redmine.org is running.

Related issues:

Related to Redmine - Defect #10772: 4-byte utf-8 characters Closed
Is duplicate of Redmine - Defect #18866: MySQL.: disappear after 4-Byte UTF-8 Closed
History

#1 - 2012-04-26 14:03 - Etienne Massip

- Category set to Issues

Related to #10772.

#2 - 2012-04-26 14:03 - Etienne Massip

- Category changed from Issues to 118n

#3 - 2015-06-22 05:59 - Toshi MARUYAMA
- Category changed from 118n to Database
- Status changed from New to Closed

- Resolution set to Duplicate

Duplicate of #18866.

#4 - 2015-06-22 06:00 - Toshi MARUYAMA
- Is duplicate of Defect #18866: MySQL: disappear after 4-Byte UTF-8 added

#5 - 2015-06-22 06:05 - Toshi MARUYAMA
- Is duplicate of deleted (Defect #18866: MySQL: disappear after 4-Byte UTF-8)

#6 - 2015-06-22 06:07 - Toshi MARUYAMA
- Is duplicate of Defect #18866: MySQL: disappear after 4-Byte UTF-8 added
https://www.redmine.org/issues/10772
https://www.redmine.org/issues/18866
http://www.tcpdf.org

